import { BearerToken } from "./BearerToken";
import { RestRequestHeaders } from './RestRequestHeaders';
import { RestRequireAuthentication } from './RestRequireAuthentication';
export type AuthenticationHeader = {
    Authentication: BearerToken;
};
export type RestRequestHeadersWithAuthentication<RequestHeaders extends RestRequestHeaders, RequireAuthentication extends RestRequireAuthentication> = RequireAuthentication extends true ? [RequestHeaders] extends [never] ? AuthenticationHeader : RequestHeaders & AuthenticationHeader : RequestHeaders;
